summaryrefslogtreecommitdiffstats
path: root/fish/test-read-file.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fish/test-read-file.sh')
-rwxr-xr-xfish/test-read-file.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/fish/test-read-file.sh b/fish/test-read-file.sh
new file mode 100755
index 00000000..d0471333
--- /dev/null
+++ b/fish/test-read-file.sh
@@ -0,0 +1,34 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test read_file call.
+
+set -e
+
+rm -f test.out
+
+./guestfish <<'EOF' > test.out
+add-ro ../tests/data/test.iso
+run
+mount-ro /dev/sda /
+read-file /helloworld.tar
+EOF
+
+cmp ../tests/data/helloworld.tar test.out
+
+rm -f test.out